2009-10-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.23 released.

2009-10-02  Aidan Kehoe  <kehoea@parhasard.net>

	* lisp/xwem-battery.el (xwem-battery-status): 
	Turns out that #'compiler-macroexpand attempts the autoload for
	any autoloaded functions it encounters in a form handed to it, so
	if we define a compiler macro for #'values-list, compilation of
	this file fails on 21.4, since #'apm-battery is defined at compile
	time as an autoload.
	So, use #'destructuring-bind instead of #'multiple-value-bind,
	being careful to always return a three-element list in EXPR.

2009-08-13  Aidan Kehoe  <kehoea@parhasard.net>

	* lisp/xwem-battery.el:
	* lisp/xwem-clients.el:
	Don't call values-list from compiled code if compiling without
	C-level multiple value support, avoiding problems when such
	compiled code is called in an XEmacs with C-level multiple value
	support. 

2006-04-03  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2006-04-01  Zajcev Evgeny  <zevlg@yandex.org>

	* lisp/xwem-clgen.el (xwem-clgen-map):
	* lisp/xwem-clgen.el (xwem-clgen-turn-on-other-on-split):
	* lisp/xwem-clgen.el (xwem-clgen-turn-off-other-on-split):
	* lisp/xwem-clgen.el (xwem-clgen-toggle-other-on-split):
	* lisp/xwem-clgen.el (xwem-manage-generic):

	Autoloading removed, since not needed at all.

2005-04-09  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2005-04-08  Steve Youngs  <steve@sxemacs.org>

	* Makefile (AUTHOR_VERSION): Increment to --versionfix-1.
	See ChangeLog.upstream for the actual changes.

2005-04-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.20 released.

2005-01-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.19 released.

2005-01-03  Zajcev Evgeny <lg@xwem.org>

	* lisp/xwem-loaddefs.el (added): [new file] Automatically
		  generated file.

	* lisp/ixwem.el (removed): Addon under costruction, so removed
		  from release.
	* lisp/xwem-ratanot.el (removed): Ditto.
	* lisp/xwem-vert.el (removed): Ditto.
	* lisp/xwem-xfig.el (removed): Ditto.

	* lisp/.cvsignore (xwem-loaddefs.el): [rem] xwem-loaddefs.el
		  removed from cvsignore.

2005-01-01  Steve Youngs  <steve@youngs.au.com>

	* Makefile (AUTHOR_VERSION): Bump.
	(REQUIRES): Add elib, ilisp, and mail-lib.

	This is the version 2.0 release.  For details see
	ChangeLog.upstream. 

2004-09-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.18 released.

2004-09-15  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-clients.el (xwem-client-info): Typo fix. car -> cdr.

2004-09-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.17 released.

2004-09-15  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-icons.el (xwem-icons-cl-icon): Remove redundant `if' in
	previous patch.

2004-09-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.16 released.

2004-09-15  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-icons.el (xwem-icons-cl-icon): Allow for a user set
	icon path.

2004-09-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.15 released.

	* lisp/xwem-interactive.el (read-from-minibuffer-for-xwem): Fix
	build, add missing closing paren.

2004-09-13  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-interactive.el: Use `symbol-function' in the defalias
	for `read-from-minibuffer-for-xwem'.
	This fixes a "exceeds max-specpdl-size" error when doing things
	like `H-x b', `H-!' etc.

2004-09-13  Steve Youngs  <steve@youngs.au.com>

	* xwem-clients.el: Don't autoload `subtract-time' from time-date
	at compile time as it isn't needed anymore.
	(xwem-cl-get-uptime-1): New.
	(xwem-cl-get-uptime): Use it.
	This fixes a bug that meant a client's uptime couldn't be measured
	beyond 65535 seconds.

	The fix was inspired by code
	From Sebastian Freundt <freundt@math.tu-berlin.de>

2004-07-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.14 released.

2004-07-14  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-weather.el: New file.

2004-07-13  Jerry James  <james@xemacs.org>

	* lisp/xwem-clients.el:
	* lisp/xwem-compat.el:
	* lisp/xwem-frame.el:
	* lisp/xwem-framei.el:
	* lisp/xwem-holer.el:
	* lisp/xwem-interactive.el:
	* lisp/xwem-keyboard.el:
	* lisp/xwem-keydefs.el:
	* lisp/xwem-keymacro.el:
	* lisp/xwem-launcher.el:
	* lisp/xwem-main.el:
	* lisp/xwem-minibuffer.el:
	* lisp/xwem-misc.el:
	* lisp/xwem-root.el:
	* lisp/xwem-rooter.el:
	* lisp/xwem-smartmods.el:
	* lisp/xwem-strokes.el:
	* lisp/xwem-tabbing.el:
	* lisp/xwem-tray.el:
	* lisp/xwem-win.el:
	* lisp/xwem-worklog.el: Remove many autoloads, replacing them with
	require forms.  Fix a few typos.

2004-05-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.13 released.

2004-05-15  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-keyboard.el (xwem-kbd-quote-command): Removed
	temporarily because it is broken and if used will cause xwem to
	hang. 

	* lisp/xwem-keydefs.el: Comment out binding for `H-q' which is
	currently broken.

	* lisp/xwem-worklog.el (xwem-worklog-auto-continue): Typo fix.
	(xwem-worklog-end-task): Ditto.
	(xwem-worklog-pause-task): Ditto.
	(xwem-worklog-auto-worklog-file): Slightly massage the docstring.
	Add a `:link' for worklog package's URL.

	* Makefile (DONTCOMPILE): Add auto-autoloads.el and custom-load.el
	so that they don't appear twice in the package tarball.

2004-05-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.12 released.

2004-05-14  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-minibuffer.el (xwem-minibuffer-init): Turn off the
	gutter in xwem-minibuffer.

2004-05-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.11 released.

2004-05-14  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/xwem-worklog.el (xwem-worklog-auto-worklog-file): [fix]
	Comment fix.

	* lisp/xwem-main.el (xwem-init): [addon] Common configuration
	added for joe public.

	* lisp/xwem-keyboard.el (xwem-kbd-quote-command): [hmm] marked as
	non-workable.

2004-05-12  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/xwem-frame.el (xwem-frame-config-dump): [fix] Use
	expand-file-name.
	* lisp/xwem-frame.el (xwem-frame-config-restore): [fix] Ditto.

	* lisp/xwem-worklog.el (misc): [fix] Ditto.

2004-05-12  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/xwem-tray.el (xwem-tray-delimiter): [new] Delimiter stuff
	added.

	* lisp/xwem-sound.el (xwem-sound-do-visible-bell): [fix] Don't use
	`X-Dpy-events-excursion'.

	* lisp/xwem-misc.el (xwem-misc-make-screenshot): [fix] Use
	absolute pathname to import screenshot to.

	* lisp/xwem-launcher.el (xwem-launch-dock): [new] Dockapp to
	launch clients.

	* lisp/xwem-keydefs.el (xwem-global-map): [addon]
	`xwem-frame-imove' at Sh-C-button1, `xwem-frame-iresize' on
	Sh-C-button3.

2004-05-11  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.10 released.

2004-05-12  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-keymacro.el (xwem-keymacro-save-macros): Use
	`expand-file-name'.
	(xwem-keymacro-load-macros): Ditto.

	* lisp/xwem-strokes.el (xwem-strokes-save-strokes): Use
	`expand-file-name' to define `strokes-file'.
	(xwem-strokes-load-strokes): Ditto.

	* lisp/xwem-main.el (xwem-dir): Change to custom type `directory'
	and use `file-name-as-directory' to define the default.
	(xwem-init): Simplify the `expand-file-name' call on xwemrc.el.

2004-05-11  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/xwem-frame.el (xwem-frame-config-dump): [fix] Save only
	builtin frame properties, because others can reference to
	unrestorable objects.

2004-05-11  Steve Youngs  <steve@youngs.au.com>

	* lisp/xwem-interactive.el (xwem-read-from-minibuffer): Add
	`notused' argument to prevent `wrong number of ags' errors

2004-05-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.09 released.

2004-05-06  Zajcev Evgeny  <zevlg@yandex.ru>

	* Makefile (AUTHOR_VERSION): 0.1 -> 0.2

	* lisp/xwem-load.el: Removed at last.

	* lisp/xwem-worklog.el (general): Autoloads added, fixes due to
	new events processing scheme.

	* lisp/xwem-win.el (general): Tabbing stuff totally
	removed. autoloads added, various fixes and new custom variables
	added, also too many changes to list.

	* lisp/xwem-time.el (general): Fixes, using backing store X
	feature.
	* lisp/xwem-time.el (xwem-time): [fix] Exposure waiting removed.

	* lisp/xwem-tabbing.el (general): Tabbing now totally independed,
	using hooks mechanism to do the job, and fixes too many to list.
	* lisp/xwem-tabbing.el (xwem-tabber-map): [new] Tabber keymap,
	default bindings is <button1> and <button3>.

	* lisp/xwem-strokes.el (general): Autoloads added.
	* lisp/xwem-strokes.el (xwem-strokes-go): [fix] Use `xwem-next-event'.
	* lisp/xwem-strokes.el (xwem-strokes-gc-function): [fix] typo.

	* lisp/xwem-special.el (general): Autoloads added, fixes. Using
	safe way when destroing special frame.

	* lisp/xwem-rooter.el (xwem-rooter-auto-raised-regexp): [new] Not
	yet implemented, sorry.  Pretty complicated task, but possible.
	
	* lisp/xwem-root.el (general): Tiny fixes.
	* lisp/xwem-root.el (xwem-root-keymap): [addon]
	xwem-popup-clients-menu on <button1> by default.

	* lisp/xwem-register.el (general): Autoloads added.

	* lisp/xwem-osd.el (general): Various tiny bug fixes, cleanup, etc.
	* lisp/xwem-osd.el (xwem-osd-create): [addon] Properties
	support. OSD can have its own keymap now.
	* lisp/xwem-osd.el (xwem-osd-dots-add): [new] To plot dots set.
	* lisp/xwem-osd.el (xwem-osd-create-dock): [new] Dockapp that uses
	OSD primitives, i.e. dockappable osd.
	* lisp/xwem-osd.el (xwem-osd-XXX-prop): [new] osd supports user
	props.

	* lisp/xwem-mouse.el (general): Autoloads added, little cleanup.
	* lisp/xwem-mouse.el (xwem-popup-clients-menu): [new] Popup
	clients menu.
	* lisp/xwem-mouse.el (xwem-gen-cl-menu): [new] Generate popup menu
	for CL.

	* lisp/xwem-misc.el (general): Autoloads added, little cleanup,
	few usefull functions added.
	* lisp/xwem-misc.el (xwem-misc-draw-shadow): [fix] Optimization.
	* lisp/xwem-misc.el (xwem-misc-outline): [new] Function to outline
	some rectangle.

	* lisp/xwem-minibuffer.el (general): Autoloads, new commented code
	added, its usage is under argue.

	* lisp/xwem-manage.el (general): Autoloads added, cleanup, few
	usefull wrappers added.

	* lisp/xwem-main.el (general): Autoloads added, little fixes.
	* lisp/xwem-main.el (xwem-before-init-wins-hook): [new]
	* lisp/xwem-main.el (xwem-after-init-wins-hook): [new]
	More hookenization all over the place.

	* lisp/xwem-macros.el (general): Autoloads added, little cleanup.

	* lisp/xwem-launcher.el (general): Autoloads added.

	* lisp/xwem-keymacro.el (general): Autoloads added, tiny fixes.

	* lisp/xwem-keyboard.el (general): Autoloads added, minor fixes.
	* lisp/xwem-keyboard.el (xwem-universal-key): [fix] `xwem-kbd'
	usage eliminated.
	* lisp/xwem-keyboard.el (xwem-kbd-evilmasks): [new] Mask
	constructed from `xwem-kbd-evillocks'.
	* lisp/xwem-keyboard.el (xwem-kbd-evillocks): [new] Locks that
	totaly skipped when processing input events.
	
	* lisp/xwem-help.el (general): Autoloads added.

	* lisp/xwem-framei.el (xwem-framei-dockapp-XX): [new] Dockapp
	support to show current frame in system tray.
	* lisp/xwem-framei.el (xwem-framei-stop): [new] Destroy frame
	indicator.

	* lisp/xwem-frame.el (xwem-frame-imove): [new] Interactively move
	frame.
	* lisp/xwem-frame.el (xwem-frame-iresize): [new] Interactively
	resize frame.
	* lisp/xwem-frame.el (general): Tabbing stuff totally removed.
	Various fixes: embedded frame fixes, autoloads added.
	* lisp/xwem-frame.el (xwem-frame-XXX-hook): [new] More hookenization.
	* lisp/xwem-frame.el (xwem-frame-omit-init-frame): [new] Non-nil
	mean do not create frames at start time.  Usefull if you want to
	restore saved frame configuration from file at start time.
	* lisp/xwem-frame.el (xwem-frame-autoiconify-mode): [new] Non-nil
	mean autoiconify overlapping frames, when switching.
	* lisp/xwem-frame.el (xwem-frame-iresize-mode): [new] Mode for
	interactive frame resizing.
	* lisp/xwem-frame.el (xwem-frame-imove-mode): [new] Mode for
	interactive frame moving.
	* lisp/xwem-frame.el (xwem-frame-imoveresize-mode-function): [new]
	* lisp/xwem-frame.el (xwem-frame-imoveresize-mode-function-default): [new]

2004-05-05  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/xwem-focus.el (general): Various minor fixes.
	* lisp/xwem-focus.el (xwem-focus-set): [fix] Do not push by
	default.

	* lisp/xwem-faces.el (xwem-eface-to-gc): [fix] :graphics-exposures
	default value X-False now.

	* lisp/xwem-events.el (general): Various fixes.
	* lisp/xwem-events.el (xwem-parse-message-guess): [new] Events
	processing restructured, due to reentrance bug in xlib.  xwem now
	has its own parse-message-guess function to store input events,
	such ass keypress/buttonpress/buttonrelease/motion separately from
	dpy's events queue.
	
	* lisp/xwem-edmacro.el (general): Autoloads added.

	* lisp/xwem-diagram.el (general): Autoloads added.
	* lisp/xwem-diagram.el (xwem-diag-draw-3d-sector): [fix] Bug fix,
	incorrect sector filling.

	* lisp/xwem-compat.el (gerenal): Autoloads added.
	
	* lisp/xwem-clients.el (general): Tabbing stuff totally removed.
	Some minor modifications, more hookenization, etc.
	
	* lisp/xwem-clients.el (xwem-cl-create-hook): [new]
	* lisp/xwem-clients.el (xwem-cl-destroy-hook): [new]
	* lisp/xwem-clients.el (xwem-cl-refit-hook): [new]
	* lisp/xwem-clients.el (xwem-cl-iconify-hook): [new]
	* lisp/xwem-clients.el (xwem-cl-change-hook): [new]
	
	* lisp/xwem-clients.el (xwem-cl-use-parent-xwin): [new] Non-nil to
	reparent client to temporary window when client hides, aka mozilla
	workaround.
	

2004-03-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.08 released.

2004-03-27  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/xwem-worklog.el (fixes): X Exposure notify waiting fixes.
	
	* lisp/xwem-worklog.el (xwem-worklog-start-dockapp): [fix] Can be
	used without args at all.
	
	* lisp/xwem-worklog.el (xwem-worklog-time-sum): [fix] Can be used
	without args at all.

	* lisp/xwem-win.el (xwem-win-configuration): [fix] Multiple fixes
	to xwem win configuration handling.  Use `xwem-cl-alive-p' instead
	of `xwem-cl-p' to check CL vilidity, etc.

	* lisp/xwem-win.el (xwem-frame-reduce-to-one-window): [fix] Can't
	use `xwem-window-delete-others'.

	* lisp/xwem-time.el (xwem-time): [fix] Can use already opened
	display.  Fixed Exosure notify waiting.

	* lisp/xwem-register.el (fixes): [fix] typo H-6 -> H-x 6.

	* lisp/xwem-register.el (xwem-register-frame-config): [new]
	Command to save frames configuration to register.  Default bindig
	- H-x 8.
	
	* lisp/xwem-register.el (xwem-registers-frame-config-no-delete):
	[new] This variable passed directly to
	`xwem-set-frame-configuration' as NO-DELETE argument.

	* lisp/xwem-minibuffer.el
	(xwem-minibuffer-emacs-frames-has-minibuffer): [new] Non-nil mean
	initial/default Emacs frame will have their own minibuffer, not
	using xwem-minibuffer.  This option is for people who dislike
	minibuffer only Emacs frames, for some reason.

	* lisp/xwem-main.el (xwem-init): [fix] Explicitely require
	xwem-keydefs to be sure.
	
	* lisp/xwem-main.el (xwem-after-window-setup): [fix]
	`xwem-minib-create' issued before opening display.  Also frames
	fitting commented out.

	* lisp/xwem-load.el (autoloads): `xwem-frame-set-name' added.

	* lisp/xwem-keydefs.el (xwem-global-mapModule): [new] `H-x 5 n'
	executes `xwem-frame-set-name'.

	* lisp/xwem-keyboard.el (xwem-kbd-process-after-lookup): [fix]
	Keyboard macro execution fix, wait keyrelease, ungrab keyboard
	before execution.

	* lisp/xwem-help.el (xwem-help-describe-key1): [fix] Can be used
	for macros as well as for commands.

	* lisp/xwem-framei.el (xwem-framei-show-frame-name): [new] Non-nil
	mean show frame name as well as frame number.

	* lisp/xwem-framei.el (fixes): Some fixes and enhancements.

	* lisp/xwem-frame.el (frame-cofinguration): [new] Added support
	for frame configurations.

	* lisp/xwem-frame.el (xwem-frame-configuration): [new] Return
	current frame configuration.

	* lisp/xwem-frame.el (xwem-set-frame-configuration): [new] Restore
	frame configuration.

	* lisp/xwem-frame.el (xwem-frame-set-name): [new] Command to set
	frame name.
	
	* lisp/xwem-frame.el (xwem-frame-goto): [fix] Reguard prefix arg.

	* lisp/xwem-frame.el (xwem-init-frame-at-rect): [fix] Take into
	account border width.
	
	* lisp/xwem-edmacro.el (xwem-edmacro-edit-kbd-macro): [fix]
	Workauround edmacro.el bug.

	* lisp/xwem-clients.el (autoloads): Some funcs became
	autoloadable.
	
	* lisp/xwem-clients.el (xwem-cl-pop-to-client): [fix] Using
	`xwem-cl-alive-p' istead of `xwem-cl-p' to check client.

2004-03-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.07 released.

2004-03-23  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/xwem-misc.el (X-Event-seq): autoloading when compile.

	* lisp/xwem-custom-load.el (file): removed.

	Thanks to Steve Youngs for many suggestions.

2004-03-22  Zajcev Evgeny  <zevlg@yandex.ru>

	* Makefile: fixes due to files moving.

	* lisp/diagram.el (ploting): Various ploting functions added.
	Result can look like this
	http://lgarc.narod.ru/xwem/xwem-diagram.png
	
	* lisp/worklog.el (dockapp): System tray support added.
	
	* lisp/addons/* (files): moved to parent directory.
	
	* lisp/xwem-faces.el (xwem-eface-to-gc): Default values added.

	* lisp/xwem-keyboard.el (xwem-this-command): [new]
	* lisp/xwem-keyboard.el (xwem-last-command): [new]
	* lisp/xwem-keyboard.el (xwem-pre-command-hook): [new]

	* lisp/xwem-tray.el (xwem-tray-run-config): argument now optional.

2004-03-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.05 released.
	(VERSION): Update version to 1.06, revert changes that slipped in
	by accident.

2004-03-17  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.04 released.

2004-03-16  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/xwem-main.el (xwem-version): [new] version variable added.

	* man/*.texi (Initial): Initial import of docs for xwem.
	
	* Makefile (EXPLICIT_DOCS): [new]

2004-03-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.03 released.

2004-03-15  Zajcev Evgeny  <zevlg@yandex.ru>

	* Makefile (MAINTAINER): e-mail added.

2004-03-11  Zajcev Evgeny  <zevlg@yandex.ru>

	* Makefile (ELCS): Added forgotten xwem-macros.elc

2004-03-11  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.02 released.

	* Makefile (VERSION): XEmacs package 1.01 released.

2004-03-11  Zajcev Evgeny  <zevlg@yandex.ru>

	* package-info.in (Initial): xwem package description added.
	
2004-03-09  Zajcev Evgeny  <zevlg@yandex.ru>

	* lisp/addons/xwem-rooter.el (Initial): Handle xwem clients on
	root window.

	* lisp/addons/xwem-xfig.el (Initial): XFIG stuff for XWEM.

	* lisp/addons/xwem-worklog.el (Initial): Worklog mode for XWEM.
	Snapshot at http://lgarc.narod.ru/xwem/xwem-worklog.png

	* lisp/addons/xwem-diagram.el (Initial): Diagram drawer for XWEM.

	* lisp/xwem-keyboard.el (xwem-kbd-process-after-lookup): Some
	major changes, get rid of evil lkm symbol props.

	* lisp/xwem-interactive.el (xwem-interactive): ?* added to wait
	keyrelease.

	* Makefile (Module): xwem-diagram, xwem-worklog, xwem-xfig added.

2004-02-15  Zajcev Evgeny  <zevlg@yandex.ru>
	
	* XWEM: Many improvements, window configurations, keyboard macros,
	etc.  I think we are ready for beta or even for pre-release.

	* addons/xwem-register.el (new): Registers for XWEM added.

	* addons/xwem-framei.el (new): Frame indicator added.

	* xwem-sound.el (new): Sound support added.

2004-01-23 Zajcev Evgeny <zevlg@yandex.ru>

	* addons/xwem-osd.el (Bugs): Some bug fixes.

	* addons/xwem-holer.el (interactive): More interactive support
	added, now it is possible to create/move/resize/delete holers
	interactively.

	* addons/xwem-edmacro.el (xwem-edmacro-can-edit-unbinded): Now it
	is possible to edit(create) even unbinded keyboard macros.

	* xwem-keymacro.el (xwem-keymacro-show-macro): Added new
	customizable variable.

	* xwem-macros.el (xwem-cursor-shape-choice): Added new shapes. 

	* xwem-misc.el (xwem-make-cursor): Moved here from xwem-macros.el.

	* xwem-minibuffer.el (xwem-minibuffer-init): Work around
	`menubar-visible-p' specifier problem.

2004-01-21 Zajcev Evgeny <zevlg@yandex.ru>

	* xwem-keyboard.el (xwem-kbd-process-after-lookup): Bug fix. check
	for `xwem-kbd-reading-keyseq' added when lkm is nil.

2004-01-21 Zajcev Evgeny <zevlg@yandex.ru>

	* ChangeLog (Revision): ChangeLog in new XWEM layout created.
	
;; $Id: ChangeLog,v 1.85 2009-10-02 14:33:08 viteno Exp $
